import { HtmlExtension, Extension } from 'micromark-util-types';

/**
 * Extension for `micromark` that can be passed in `htmlExtensions`, to
 * support highlight mark when serializing to HTML.
 */
declare const highlightMarkHtml: HtmlExtension;

/**
 * Create an extension for `micromark` to enable highlight syntax.
 * @returns {Extension}
 *   Extension for `micromark` that can be passed in `extensions`, to
 *   enable highlight syntax.
 */
declare function highlightMark(): Extension;

declare module 'micromark-util-types' {
    interface TokenTypeMap {
        highlightSequence: 'highlightSequence';
        highlightSequenceTemporary: 'highlightSequenceTemporary';
        highlight: 'highlight';
        highlightText: 'highlightText';
    }
}

export { highlightMark, highlightMarkHtml };
